/*------------------------------------------------------------------------
 * AMSR_E_L2A_togs - constants
 *
 * 16-Jul-2002 K.Knowles knowlesk@kryos.colorado.edu 303-492-0644
 * National Snow & Ice Data Center, University of Colorado, Boulder
 * Copyright (C) 2002-2004 University of Colorado
 *------------------------------------------------------------------------*/

const char AMSR_E_L2A_togs_h_rcsid[] = "$Header: /NSIDC_CVS/FILES/generic_swath/src/AMSR_E_L2A_togs/AMSR_E_L2A_togs.h,v 1.3 2004/01/28 18:46:56 knowlesk Exp $";

#define AEL2_MAX_SCANS 2000

/*
 * "Latitude" and "Longitude" SDSs must be referenced 
 * by index since they all have the same name
 */
#define SDS_INDEX_LAT_LOWRES  0
#define SDS_INDEX_LON_LOWRES  1
#define SDS_INDEX_LAT_HIRESA  2
#define SDS_INDEX_LON_HIRESA  3
#define SDS_INDEX_LAT_HIRESB  4
#define SDS_INDEX_LON_HIRESB  5

/*
 * Earth incidence angle
 */
#define SDS_INDEX_EIA_LOWRES 17

/*
 * number of SDSs for Tbs
 */
#define NUM_SDS_LOWRES 12

#define NUM_SDS_HIRES 4

/*
 * SDS names for different RESs
 */
static char *sds_L1B_lowres[] = {
    "6.9V_Res.1_TB_(Level1B)",
    "6.9H_Res.1_TB_(Level1B)",
    "10.7V_Res.2_TB_(Level1B)",
    "10.7H_Res.2_TB_(Level1B)",
    "18.7V_Res.3_TB_(Level1B)",
    "18.7H_Res.3_TB_(Level1B)",
    "23.8V_Approx._Res.3_TB_(Level1B)",
    "23.8H_Approx._Res.3_TB_(Level1B)",
    "36.5V_Res.4_TB_(Level1B)",
    "36.5H_Res.4_TB_(Level1B)",
    "89.0V_Res.4_TB",
    "89.0H_Res.4_TB"
};

static char *sds_L1B_hires[] = {
    "89.0V_Res.5A_TB_(Level1B)",
    "89.0H_Res.5A_TB_(Level1B)",
    "89.0V_Res.5B_TB_(Level1B)",
    "89.0H_Res.5B_TB_(Level1B)"
};

static char *sds_L2A_res1[] = {
    "6.9V_Res.1_TB",
    "6.9H_Res.1_TB",
    "10.7V_Res.1_TB",
    "10.7H_Res.1_TB",
    "18.7V_Res.1_TB",
    "18.7H_Res.1_TB",
    "23.8V_Res.1_TB",
    "23.8H_Res.1_TB",
    "36.5V_Res.1_TB",
    "36.5H_Res.1_TB",
    "89.0V_Res.1_TB",
    "89.0H_Res.1_TB"
};

static char *sds_L2A_res2[] = {
    "6.9V_Res.1_TB",
    "6.9H_Res.1_TB",
    "10.7V_Res.2_TB",
    "10.7H_Res.2_TB",
    "18.7V_Res.2_TB",
    "18.7H_Res.2_TB",
    "23.8V_Res.2_TB",
    "23.8H_Res.2_TB",
    "36.5V_Res.2_TB",
    "36.5H_Res.2_TB",
    "89.0V_Res.2_TB",
    "89.0H_Res.2_TB"
};

static char *sds_L2A_res3[] = {
    "6.9V_Res.1_TB",
    "6.9H_Res.1_TB",
    "10.7V_Res.2_TB",
    "10.7H_Res.2_TB",
    "18.7V_Res.2_TB",
    "18.7H_Res.2_TB",
    "23.8V_Res.3_TB",
    "23.8H_Res.3_TB",
    "36.5V_Res.3_TB",
    "36.5H_Res.3_TB",
    "89.0V_Res.3_TB",
    "89.0H_Res.3_TB"
};

static char *sds_L2A_res4[] = {
    "6.9V_Res.1_TB",
    "6.9H_Res.1_TB",
    "10.7V_Res.2_TB",
    "10.7H_Res.2_TB",
    "18.7V_Res.2_TB",
    "18.7H_Res.2_TB",
    "23.8V_Res.3_TB",
    "23.8H_Res.3_TB",
    "36.5V_Res.3_TB",
    "36.5H_Res.3_TB",
    "89.0V_Res.4_TB",
    "89.0H_Res.4_TB"
};

/*
 * list of channels for write_gswath
 */
static int lowres_channels[] = { 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11 };
static int hires_channels[] = { 0, 1 };

