/*------------------------------------------------------------------------
 * pmtime - time functions specific to passive microwave instruments
 *          (SMMR, SSM/I)
 *
 * All functions are Y2K compliant.
 *
 * 05/04/1998 brodzik brodzik@kryos.colorado.edu 303-492-8263
 * National Snow & Ice Data Center, University of Colorado, Boulder
 * Copyright (C) 1998 University of Colorado
 *------------------------------------------------------------------------*/
#ifndef PMTIME_H_
#define PMTIME_H_

#ifdef pmtime_c_
const char pmtime_h_rcsid[]="$Header: /NSIDC_CVS/FILES/generic_swath/src/gswath/pmtime.h,v 1.5 2004/01/23 01:57:57 knowlesk Exp $";
#endif

#include "gswath.h"

#define PMTIME_HOURS_PER_DAY 24
#define PMTIME_MINUTES_PER_HOUR 60
#define PMTIME_SECS_PER_MINUTE 60
#define PMTIME_SECS_PER_HOUR (PMTIME_MINUTES_PER_HOUR * PMTIME_SECS_PER_MINUTE)
#define PMTIME_SECS_PER_DAY (PMTIME_HOURS_PER_DAY * PMTIME_SECS_PER_HOUR)

void parse_value_pmtime (byte4 value, byte2 *first, byte2 *second, 
			 byte2 *third);
void join_values_pmtime (byte2 first, byte2 second, byte2 third,
			 byte4 *value);
void ydoy_to_ymd_pmtime (byte2 yyyy, byte2 doy, byte2 *month, byte2 *day);
void ymd_to_ydoy_pmtime (byte2 yyyy, byte2 month, byte2 day, byte2 *doy);
double hhmmss_to_hours_pmtime (byte4 hhmmss);
byte4 hours_to_hhmmss_pmtime (double t_hours);
byte4 gregorian_to_timecode_pmtime (byte4 yyyymmdd, byte4 hhmmss, 
				    GS_type swath_type);
void timecode_to_gregorian_pmtime (byte4 timecode, byte4 *yyyymmdd, 
				   byte4 *hhmmss, GS_type swath_type);
void day_offset_pmtime(byte4 *yyyymmdd, int4 numdays);

#endif
